richlistitem[type="download"] {
  -moz-binding: url('chrome://mozapps/content/downloads/download.xml#download-starting');
  -moz-box-orient: vertical;
}

richlistitem[type="download"][state="0"] {
  -moz-binding: url('chrome://mozapps/content/downloads/download.xml#download-downloading');
}

richlistitem[type="download"][state="1"] {
  -moz-binding: url('chrome://mozapps/content/downloads/download.xml#download-done');
}

richlistitem[type="download"][state="2"] {
  -moz-binding: url('chrome://mozapps/content/downloads/download.xml#download-failed');
}

richlistitem[type="download"][state="3"] {
  -moz-binding: url('chrome://mozapps/content/downloads/download.xml#download-canceled');
}

richlistitem[type="download"][state="4"] {
  -moz-binding: url('chrome://mozapps/content/downloads/download.xml#download-paused');
}

richlistitem[type="download"][state="6"] {
  -moz-binding: url('chrome://mozapps/content/downloads/download.xml#download-blocked');
}

richlistitem[type="download"][state="7"] {
  -moz-binding: url('chrome://mozapps/content/downloads/download.xml#download-scanning');
}

/* Only focus buttons in the selected item*/
richlistitem[type="download"]:not([selected="true"]) button {
  -moz-user-focus: none;
}

